Subject: bug#79049: ChangeLog is added to distribution even when inside a false conditional

From: Karl Berry <[email-masked]>
Date: Sat, 19 Jul 2025 16:08:33 -0600

Thanks for the report and looking into the code. There have been
previous reports relating to targets and conditionals, e.g.,
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=13940 (from 2013 ...)
and I think it's been mentioned in mail and elsewhere, too.

Updating the doc is no problem, thanks. But I'm not sure how to do a
real fix.  The conditional might be defined at configure-time, so
automake can't know whether it's true or not when it's running, as far
as I can see.

Maybe you or someone else has a clearer idea of how to proceed?
--thanks, karl.